<?php

declare(strict_types=1);

namespace App\Filament\Resources\Wishlists\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Schemas\Components\Section;
use Filament\Schemas\Schema;

class WishlistForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema->components([
            Section::make('علاقه‌مندی')
                ->schema([
                    \App\Filament\Components\Form\UserSelect::create()->required()->columnSpan(6),
                    \App\Filament\Components\Form\ModelTypeSelect::create()->required()->columnSpan(6),
                    TextInput::make('model_id')->label('شناسه مدل')->required()->maxLength(26)->columnSpan(6),
                    TextInput::make('ip')->label('آی‌پی')->maxLength(45)->columnSpan(6),
                    \App\Filament\Components\Form\CreatedBySelect::create(),
                    \App\Filament\Components\Form\UpdatedBySelect::create(),
                ])
                ->columns(12)
                ->columnSpan(12),
        ])
            ->columns(12);
    }
}
